Submitted by : simon at: 2005-09-16T14:38:41+00:00 (12 years ago)
Name :
Category : Severity : Status :
Optional subject :  
Optional comment :

The zodb transaction api has changed in zope 2.8 and we need to adapt to avoid a lot of warnings in event.log, while still supporting older zopes.

philiKON: sm, in five we use this module http://codespeak.net/svn/z3/Five/trunk/bbb/transaction.py and stick it into sys.modules['transaction']
sm: great, I'll do the same, thx
philiKON: sm, cmf has a class that they import: http://svn.zope.org/CMF/branches/1.5/CMFCore/utils.py?rev=38457&view=auto
philiKON: but that leads to:
philiKON: try: ... except ImportError: ... clauses everywhere


comments:

this seems to be fixed --betabug, Mon, 17 Sep 2007 12:12:19 -0700 reply
Status: open => closed